//   $Id: kvi_optdlg.h,v 1.7 1998/10/06 14:42:41 pragma Exp $
//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 1998 Szymon Stefanek (stefanek@tin.it)
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Library General Public
//   License as published by the Free Software Foundation; either
//   version 2 of the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Library General Public License for more details.
//
//   You should have received a copy of the GNU Library General Public License
//   along with this program; see the file COPYING.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//
#ifndef _KVI_OPT_DIALOG_H_INCLUDED_
#define _KVI_OPT_DIALOG_H_INCLUDED_

#include <kintegerline.h>

#include <qtabdialog.h>
#include <qlineedit.h>
#include <qmultilinedit.h>
#include <qcombobox.h>
#include <qlabel.h>

class KviBoolChanger;
class KviFrame;
class KviOptions;

class KviOptDialog : public QTabDialog{
	Q_OBJECT
public:
	KviOptDialog(KviFrame *lpParent,KviOptions *lpOpt);
	~KviOptDialog();
public:
	KviOptions *m_lpOpt;
	KviFrame *m_lpFrm;

	QLineEdit *lpCaption;
	QLineEdit *lpQuit;
	QLineEdit *lpPart;
	QLineEdit *lpKick;
	QLineEdit *lpAway;
	QLineEdit *lpFinger;
	QLineEdit *lpUserInfo;
	QLineEdit *lpScript;
	QLineEdit *lpBrowserCmd;
	QLineEdit *lpAuPlayerCmd;
	QLineEdit *lpMidPlayerCmd;
	QLineEdit *lpMp3PlayerCmd;
	QLineEdit *lpWavPlayerCmd;

	QLineEdit *lpIp;
	QLineEdit *lpPrfx;
	QMultiLineEdit *lpMotd;

	QComboBox *lpFSPacketsPerSec;
	QComboBox *lpFSPacketSize;

	KviBoolChanger *lpShowPixmaps;
	KviBoolChanger *lpAlignText;
	KviBoolChanger *lpTimestamp;
	KviBoolChanger *lpShowColorBox;
	KviBoolChanger *lpShowMotdOnOutDcc;
	KviBoolChanger *lpShowMotdOnInDcc;
	KviBoolChanger *lpAutoRejoin;
	KviBoolChanger *lpPrefixMsg;
	KviBoolChanger *lpInverseNick;
	KviBoolChanger *lpAutoChat;
	KviBoolChanger *lpAutoSend;
	KviBoolChanger *lpAutoVoice;
	KviBoolChanger *lpIgnoreChat;
	KviBoolChanger *lpIgnoreSend;
	KviBoolChanger *lpIgnoreVoice;
	KviBoolChanger *lpAutoClose;
	KviBoolChanger *lpAutoMinimize;
	KviBoolChanger *lpUserList;
	KviBoolChanger *lpAutoCompletion;
//	KviBoolChanger *lpNotify;
//	KviBoolChanger *lpNotifyInActive;
	KviBoolChanger *lpClone;
	KviBoolChanger *lpUseTran;
	KviBoolChanger *lpNotTranDCC;
	KviBoolChanger *lpBrowserOnUrl;
	KviBoolChanger *lpUseNetscape;
	KviBoolChanger *lpHighlightUrl;
	KviBoolChanger *lpAutoJoinOnInvite;
	KviBoolChanger *lpPlayDefSound;
	KviBoolChanger *lpListenToCtcpSound;
	KviBoolChanger *lpSendSoundRequest;
	KviBoolChanger *lpListenFileRequest;
	KviBoolChanger *lpPrivNoticeToActive;
	KviBoolChanger *lpUseFastSend;
	KviBoolChanger *lpExternalAuPlayer;
	KviBoolChanger *lpExternalMidPlayer;
	KviBoolChanger *lpExternalMp3Player;
	KviBoolChanger *lpExternalWavPlayer;
	KviBoolChanger *lpCtcpRequestsToActive;
	KviBoolChanger *lpIdentParsingOff;
	KviBoolChanger *lpAutoLogChannels;
	KviBoolChanger *lpAutoLogQueries;
	KviBoolChanger *lpAutoLogChats;
	KviBoolChanger *lpMinimizeQuery;
	KviBoolChanger *lpBeepOnPrivmsg;
	KviBoolChanger *lpBeepOnDCCRequest;
	KviBoolChanger *lpBeepOnCTCPRequest;

	QLabel *lpTranFile;
	KIntegerLine *lpUrlColor;
	KIntegerLine *lpPacket;
	KIntegerLine *lpTimeout;
	KIntegerLine *lpMaxCTCP;
	KIntegerLine *lpSecCTCP;
	KIntegerLine *lpUserTime;
//	KIntegerLine *lpNotifyTime;
	KIntegerLine *lpMaxFileRequests;

	KIntegerLine *lpMassDeopTime;
	KIntegerLine *lpMassOpTime;
	KIntegerLine *lpMassKickTime;
	KIntegerLine *lpMassBanTime;
	KIntegerLine *lpPublicFloodTime;

	KIntegerLine *lpMassDeopDeadline;
	KIntegerLine *lpMassOpDeadline;
	KIntegerLine *lpMassKickDeadline;
	KIntegerLine *lpMassBanDeadline;
	KIntegerLine *lpPublicFloodDeadline;

	QWidget *lpMsgTab;
	QWidget *lpMisTab;
//	QWidget *lpNotTab;
	QWidget *lpDCCTab;
	QWidget *lpMixTab;
	QWidget *lpMix3Tab;
	QWidget *lpMix4Tab;
	QWidget *lpTrnTab;
//	QLineEdit *lpEdit;
//	QPushButton *lpRem;
//	QPushButton *lpAdd;
	QPushButton *lpChooseFile;
//	QListBox *lpBox;
public slots:
	void enableMotd(bool bEnable);
	void applySlot();
	void chatIgnore(bool bIgnore);
	void sendIgnore(bool bIgnore);
	void voiceIgnore(bool bIgnore);
//	void addNick();
//	void removeNick();
	void chooseTranslationFile();
protected:
	virtual void resizeEvent(QResizeEvent *e);
};

#endif //_KVI_OPT_DIALOG_H_INCLUDED_
